C
C  CD YOMBITU : fonctions "in-line" pour lecture et initialisation de bits
C--------------------------------------------------------------------------
C  KBITLU : lecture des KNBITS bits de la variable KVAR, a partir du
C           bit KBITPOS (en allant vers la gauche)
C  KBITEC : initialisation par la valeur KVAL du bit KBITPOS de la
C           variable KVAR
C--------------------------------------------------------------------------
      KINSER(KVAR,KVAL,KBITPOS)   = IOR(KVAR,ISHFT(KVAL,KBITPOS))
      KBITLU(KVAR,KBITPOS,KNBITS) = IBITS(KVAR,KBITPOS-1,KNBITS)
      KBITEC(KVAR,KVAL,KBITPOS)   = KINSER(KVAR,KVAL,KBITPOS-1)
      KBIT1OU0(KVAR,KVAL,KBITPOS) = KVAL*IBSET(KVAR,KBITPOS-1) +
     S                              (1-KVAL)*IBCLR(KVAR,KBITPOS-1)
